Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.account.management
Interface ServiceLevelAgreementMBean

public interface ServiceLevelAgreementMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`int` | `countApplicationGroupsByType(String slaType)` Count the application groups for a particular sla type that have a service level agreement defined The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site.
`int` | `countApplicationGroupSlaTypes(String applicationGroupIdentifier)` Count the system level and custom SLA types defined for an application group
`int` | `countApplicationSlaGroups()` Count number of application Service Level Agreements.
`int` | `countCustomSlaXSDDefinition()` Count number of custom type Service Level Agreements.
`int` | `countGlobalSlaTypes()` Count the system level and custom SLA types defined for a global scope
`int` | `countServiceProviderGroupsByType(String slaType)` Count the service providers with a service level agreement defined of type The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site.
`int` | `countServiceProviderGroupSlaTypes(String serviceProviderGroupIdentifier)` Count the system level and custom SLA types defined for a service provider group
`int` | `countServiceProviderSlaGroups()` Count number of service provider Service Level Agreements.
`String[]` | `listApplicationGroupsByType(String slaType, int offset, int size)` List the application groups for a particular sla type that have a service level agreement defined The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site.
`String[]` | `listApplicationGroupSlaTypes(String applicationGroupIdentifier, int offset, int size)` List the system level and custom SLA types defined for an application group
`String[]` | `listApplicationSlaGroups(int offset, int size)` List application groups with attached Service Level Agreement.
`String[]` | `listCustomSlaXSDDefinition(int offset, int size)` List the custom XSD types
`String[]` | `listGlobalSlaTypes(int offset, int size)` List the system level and custom SLA types defined for a global scope
`String[]` | `listServiceProviderGroupsByType(String slaType, int offset, int size)` List the service provider groups with a service level agreement defined of type The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site.
`String[]` | `listServiceProviderGroupSlaTypes(String serviceProviderGroupIdentifier, int offset, int size)` List the system level and custom SLA types defined for a service provider
`String[]` | `listServiceProviderSlaGroups(int offset, int size)` List service provider groups with attached Service Level Agreement.
`void` | `loadApplicationGroupSla(String applicationGroupIdentifier, String serviceLevelAgreement)` Load the provided application group SLA.
`void` | `loadApplicationGroupSlaByType(String slaType, String applicationGroupIdentifier, String serviceLevelAgreement)` Load a system level or custom SLA for an application group.
`void` | `loadApplicationGroupSlaFromUrl(String applicationGroupIdentifier, String serviceLevelAgreementURL)` Load application group SLA from specified URL.
`void` | `loadApplicationGroupSlaFromUrlByType(String slaType, String applicationGroupIdentifier, String serviceLevelAgreementURL)` Load a system or custom SLA from specified URL for an application group.
`void` | `loadGlobalNodeSla(String serviceLevelAgreement)` Load the provided global node SLA.
`void` | `loadGlobalNodeSlaFromUrl(String serviceLevelAgreementURL)` Load global node SLA using URL from specified URL.
`void` | `loadGlobalSlaByType(String slaType, String serviceLevelAgreement)` Load a system level or custom SLA for a global scope.
`void` | `loadGlobalSlaFromUrlByType(String slaType, String serviceLevelAgreementURL)` Load a system level or custom SLA from specified URL for a global scope.
`void` | `loadServiceProviderGroupNodeSla(String serviceProviderGroupIdentifier, String serviceLevelAgreement)` Load the provided service provider group node SLA.
`void` | `loadServiceProviderGroupNodeSlaFromUrl(String serviceProviderGroupIdentifier, String serviceLevelAgreementURL)` Load service provider group node SLA from specified URL.
`void` | `loadServiceProviderGroupSla(String serviceProviderGroupIdentifier, String serviceLevelAgreement)` Load the provided service provider group SLA.
`void` | `loadServiceProviderGroupSlaByType(String slaType, String serviceProviderGroupIdentifier, String serviceLevelAgreement)` Load a system level or custom SLA for a service provider group.
`void` | `loadServiceProviderGroupSlaFromUrl(String serviceProviderGroupIdentifier, String serviceLevelAgreementURL)` Load service provider group SLA from specified URL.
`void` | `loadServiceProviderGroupSlaFromUrlByType(String slaType, String serviceProviderGroupIdentifier, String serviceLevelAgreementURL)` Load a system level or custom SLA from specified URL for a service provider group.
`void` | `loadSubscriberSla(String serviceLevelAgreement)` Load subscriber SLA.
`void` | `loadSubscriberSlaFromUrl(String serviceLevelAgreementURL)` Load subscriber SLA from specified URL.
`String` | `retrieveApplicationGroupSla(String applicationGroupIdentifier)` Retrieve application group Service Level Agreement.
`String` | `retrieveApplicationGroupSlaByType(String slaType, String applicationGroupIdentifier)` Retrieve a system or custom Service Level Agreement for a given application group The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site.
`String` | `retrieveCustomSlaXSDDefinition(String slaType)` Retrieve the XSD that defines the type
`String` | `retrieveGlobalNodeSla()` Retrieve global node Service Level Agreement.
`String` | `retrieveGlobalSlaByType(String slaType)` Retrieve a system level or custom Service Level Agreement for a global scope The following system level SLA types are valid for global scope: global_node - Global node SLA stored and enforced only on the local site.
`String` | `retrieveServiceProviderGroupNodeSla(String serviceProviderGroupIdentifier)` Retrieve service provider group node Service Level Agreement.
`String` | `retrieveServiceProviderGroupSla(String serviceProviderGroupIdentifier)` Retrieve service provider group Service Level Agreement.
`String` | `retrieveServiceProviderGroupSlaByType(String slaType, String serviceProviderGroupIdentifier)` Retrieve a system level or custom Service Level Agreement for a given service provider group The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site.
`String` | `retrieveSubscriberSla()` Retrieve subscriber Service Level Agreement.
`void` | `setupCustomSlaXSDDefinition(String slaType, String xsdDocument)` Set up an XSD document defined as a custom Service Level Agreement type
`void` | `setupCustomSlaXSDDefinitionFromUrl(String slaType, String xsdDocumentURL)` Similar to setupCustomSlaXSDDefinition but load the XSD from a URL

Method Detail

### countApplicationGroupsByType

    public int countApplicationGroupsByType(String slaType)
                                     throws InputManagementException

  Count the application groups for a particular sla type that have a service level agreement defined The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site. system:geo_application - Application group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level application group sla type ("application" or "system:geo_application") or an sla type defined by setupCustomSlaXSDDefinition
  Returns:
    The Service Level Agreement count.
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### countApplicationGroupSlaTypes

    public int countApplicationGroupSlaTypes(String applicationGroupIdentifier)

  Count the system level and custom SLA types defined for an application group

  Parameters:
    `applicationGroupIdentifier` - The application group identifier.
  Returns:
    The Service Level Agreement count.

### countApplicationSlaGroups

    public int countApplicationSlaGroups()

  Count number of application Service Level Agreements.

  Returns:
    The Service Level Agreement count.

### countCustomSlaXSDDefinition

    public int countCustomSlaXSDDefinition()

  Count number of custom type Service Level Agreements.

  Returns:
    The custom type count.

### countGlobalSlaTypes

    public int countGlobalSlaTypes()

  Count the system level and custom SLA types defined for a global scope

  Returns:
    The Service Level Agreement count.

### countServiceProviderGroupsByType

    public int countServiceProviderGroupsByType(String slaType)
                                         throws InputManagementException

  Count the service providers with a service level agreement defined of type The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site. service_provider_node - Service provider node SLA stored and enforced only on the local site. system:geo_service_provider - Service provider group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level service provider group sla type ("service_provider", "service_provider_node" or "system:geo_service_provider") or an sla type defined by setupCustomSlaXSDDefinition
  Returns:
    The Service Level Agreement count.
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### countServiceProviderGroupSlaTypes

    public int countServiceProviderGroupSlaTypes(String serviceProviderGroupIdentifier)

  Count the system level and custom SLA types defined for a service provider group

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group identifier.
  Returns:
    The Service Level Agreement count.

### countServiceProviderSlaGroups

    public int countServiceProviderSlaGroups()

  Count number of service provider Service Level Agreements.

  Returns:
    The Service Level Agreement count.

### listApplicationGroupsByType

    public String[] listApplicationGroupsByType(String slaType,
                                                int offset,
                                                int size)
                                         throws InputManagementException

  List the application groups for a particular sla type that have a service level agreement defined The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site. system:geo_application - Application group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level application group sla type ("application" or "system:geo_application") or an sla type defined by setupCustomSlaXSDDefinition
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The application groups matching the criteria.
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### listApplicationGroupSlaTypes

    public String[] listApplicationGroupSlaTypes(String applicationGroupIdentifier,
                                                 int offset,
                                                 int size)

  List the system level and custom SLA types defined for an application group

  Parameters:
    `applicationGroupIdentifier` - The application group identifier.
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The custom sla types matching the criteria.

### listApplicationSlaGroups

    public String[] listApplicationSlaGroups(int offset,
                                             int size)

  List application groups with attached Service Level Agreement.

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The application groups matching the criteria.

### listCustomSlaXSDDefinition

    public String[] listCustomSlaXSDDefinition(int offset,
                                               int size)

  List the custom XSD types

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The custom SLA types matching the criteria

### listGlobalSlaTypes

    public String[] listGlobalSlaTypes(int offset,
                                       int size)

  List the system level and custom SLA types defined for a global scope

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The custom sla types matching the criteria.

### listServiceProviderGroupsByType

    public String[] listServiceProviderGroupsByType(String slaType,
                                                    int offset,
                                                    int size)
                                             throws InputManagementException

  List the service provider groups with a service level agreement defined of type The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site. service_provider_node - Service provider node SLA stored and enforced only on the local site. system:geo_service_provider - Service provider group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level service provider group sla type ("service_provider", "service_provider_node" or "system:geo_service_provider") or an sla type defined by setupCustomSlaXSDDefinition
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The service provider groups matching the criteria.
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### listServiceProviderGroupSlaTypes

    public String[] listServiceProviderGroupSlaTypes(String serviceProviderGroupIdentifier,
                                                     int offset,
                                                     int size)

  List the system level and custom SLA types defined for a service provider

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group identifier.
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The custom sla types matching the criteria.

### listServiceProviderSlaGroups

    public String[] listServiceProviderSlaGroups(int offset,
                                                 int size)

  List service provider groups with attached Service Level Agreement.

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The service provider groups matching the criteria.

### loadApplicationGroupSla

    public void loadApplicationGroupSla(String applicationGroupIdentifier,
                                        String serviceLevelAgreement)
                                 throws KeyNotFoundException,
                                        ManagementException

  Load the provided application group SLA.

  Parameters:
    `applicationGroupIdentifier` - The application group to update.
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadApplicationGroupSlaByType

    public void loadApplicationGroupSlaByType(String slaType,
                                              String applicationGroupIdentifier,
                                              String serviceLevelAgreement)
                                       throws ManagementException,
                                              KeyNotFoundException,
                                              InputManagementException

  Load a system level or custom SLA for an application group. The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site. system:geo_application - Application group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level application group sla type ("application" or "system:geo_application") or an sla type defined by setupCustomSlaXSDDefinition
    `applicationGroupIdentifier` - The application group identifier.
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.
    `InputManagementException` - if slaType is null or not applicable

### loadApplicationGroupSlaFromUrl

    public void loadApplicationGroupSlaFromUrl(String applicationGroupIdentifier,
                                               String serviceLevelAgreementURL)
                                        throws KeyNotFoundException,
                                               ManagementException

  Load application group SLA from specified URL.

  Parameters:
    `applicationGroupIdentifier` - The application group to update.
    `serviceLevelAgreementURL` - The URL to new service level agreement file.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadApplicationGroupSlaFromUrlByType

    public void loadApplicationGroupSlaFromUrlByType(String slaType,
                                                     String applicationGroupIdentifier,
                                                     String serviceLevelAgreementURL)
                                              throws ManagementException,
                                                     KeyNotFoundException,
                                                     InputManagementException

  Load a system or custom SLA from specified URL for an application group. The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site. system:geo_application - Application group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level application group sla type ("application" or "system:geo_application") or an sla type defined by setupCustomSlaXSDDefinition
    `applicationGroupIdentifier` - The application group identifier.
    `serviceLevelAgreementURL` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.
    `InputManagementException` - if slaType is null or not applicable

### loadGlobalNodeSla

    public void loadGlobalNodeSla(String serviceLevelAgreement)
                           throws ManagementException

  Load the provided global node SLA.

  Parameters:
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.

### loadGlobalNodeSlaFromUrl

    public void loadGlobalNodeSlaFromUrl(String serviceLevelAgreementURL)
                                  throws ManagementException

  Load global node SLA using URL from specified URL.

  Parameters:
    `serviceLevelAgreementURL` - The URL to the new service level agreement file.
  Throws:
    `ManagementException` - validation of service level agreement failed.

### loadGlobalSlaByType

    public void loadGlobalSlaByType(String slaType,
                                    String serviceLevelAgreement)
                             throws ManagementException,
                                    KeyNotFoundException,
                                    InputManagementException

  Load a system level or custom SLA for a global scope. The following system level SLA types are valid for global scope: global_node - Global node SLA stored and enforced only on the local site. subscr - Subscriber SLA stored and enforced only on the local site.

  Parameters:
    `slaType` - a system level global sla type ("global_node" or "subscr") or an sla type defined by setupCustomSlaXSDDefinition
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.
    `InputManagementException` - if slaType is null or not applicable

### loadGlobalSlaFromUrlByType

    public void loadGlobalSlaFromUrlByType(String slaType,
                                           String serviceLevelAgreementURL)
                                    throws ManagementException,
                                           KeyNotFoundException,
                                           InputManagementException

  Load a system level or custom SLA from specified URL for a global scope. The following system level SLA types are valid for global scope: global_node - Global node SLA stored and enforced only on the local site. subscr - Subscriber SLA stored and enforced only on the local site.

  Parameters:
    `slaType` - a system level global sla type ("global_node" or "subscr") or an sla type defined by setupCustomSlaXSDDefinition
    `serviceLevelAgreementURL` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.
    `InputManagementException` - if slaType is null or not applicable

### loadServiceProviderGroupNodeSla

    public void loadServiceProviderGroupNodeSla(String serviceProviderGroupIdentifier,
                                                String serviceLevelAgreement)
                                         throws KeyNotFoundException,
                                                ManagementException

  Load the provided service provider group node SLA.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group to update.
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadServiceProviderGroupNodeSlaFromUrl

    public void loadServiceProviderGroupNodeSlaFromUrl(String serviceProviderGroupIdentifier,
                                                       String serviceLevelAgreementURL)
                                                throws KeyNotFoundException,
                                                       ManagementException

  Load service provider group node SLA from specified URL.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group to update.
    `serviceLevelAgreementURL` - The URL to the new service level agreement file.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadServiceProviderGroupSla

    public void loadServiceProviderGroupSla(String serviceProviderGroupIdentifier,
                                            String serviceLevelAgreement)
                                     throws KeyNotFoundException,
                                            ManagementException

  Load the provided service provider group SLA.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group to update.
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadServiceProviderGroupSlaByType

    public void loadServiceProviderGroupSlaByType(String slaType,
                                                  String serviceProviderGroupIdentifier,
                                                  String serviceLevelAgreement)
                                           throws ManagementException,
                                                  KeyNotFoundException,
                                                  InputManagementException

  Load a system level or custom SLA for a service provider group. The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site. service_provider_node - Service provider node SLA stored and enforced only on the local site. system:geo_service_provider - Service provider group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level service provider group sla type ("service_provider", "service_provider_node" or "system:geo_service_provider") or an sla type defined by setupCustomSlaXSDDefinition
    `serviceProviderGroupIdentifier` - The service provider group identifier.
    `serviceLevelAgreement` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.
    `InputManagementException` - if slaType is null or not applicable

### loadServiceProviderGroupSlaFromUrl

    public void loadServiceProviderGroupSlaFromUrl(String serviceProviderGroupIdentifier,
                                                   String serviceLevelAgreementURL)
                                            throws KeyNotFoundException,
                                                   ManagementException

  Load service provider group SLA from specified URL.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group to update.
    `serviceLevelAgreementURL` - The URL to the new service level agreement file.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadServiceProviderGroupSlaFromUrlByType

    public void loadServiceProviderGroupSlaFromUrlByType(String slaType,
                                                         String serviceProviderGroupIdentifier,
                                                         String serviceLevelAgreementURL)
                                                  throws ManagementException,
                                                         KeyNotFoundException,
                                                         InputManagementException

  Load a system level or custom SLA from specified URL for a service provider group. The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site. service_provider_node - Service provider node SLA stored and enforced only on the local site. system:geo_service_provider - Service provider group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level service provider group sla type ("service_provider", "service_provider_node" or "system:geo_service_provider") or an sla type defined by setupCustomSlaXSDDefinition
    `serviceProviderGroupIdentifier` - The service provider group identifier.
    `serviceLevelAgreementURL` - The new service level agreement to use. Null or empty string removes SLA.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.
    `InputManagementException` - if slaType is null or not applicable

### loadSubscriberSla

    public void loadSubscriberSla(String serviceLevelAgreement)
                           throws ManagementException

  Load subscriber SLA.

  Parameters:
    `serviceLevelAgreement` - The new service level agreement.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### loadSubscriberSlaFromUrl

    public void loadSubscriberSlaFromUrl(String serviceLevelAgreementURL)
                                  throws ManagementException

  Load subscriber SLA from specified URL.

  Parameters:
    `serviceLevelAgreementURL` - The URL to the new service level agreement file.
  Throws:
    `ManagementException` - validation of service level agreement failed.
    `KeyNotFoundException` - If the group does not exist.

### retrieveApplicationGroupSla

    public String retrieveApplicationGroupSla(String applicationGroupIdentifier)

  Retrieve application group Service Level Agreement.

  Parameters:
    `applicationGroupIdentifier` - The application group identifier.
  Returns:
    The application group Service Level Agreement.

### retrieveApplicationGroupSlaByType

    public String retrieveApplicationGroupSlaByType(String slaType,
                                                    String applicationGroupIdentifier)
                                             throws InputManagementException

  Retrieve a system or custom Service Level Agreement for a given application group The following system level SLA types are valid for application groups: application - Application group SLA stored and enforced only on the local site. system:geo_application - Application group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level application group sla type ("application" or "system:geo_application") or an sla type defined by setupCustomSlaXSDDefinition
    `applicationGroupIdentifier` - The application group identifier.
  Returns:
    The custom Service Level Agreement
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### retrieveCustomSlaXSDDefinition

    public String retrieveCustomSlaXSDDefinition(String slaType)
                                          throws InputManagementException

  Retrieve the XSD that defines the type

  Parameters:
    `slaType` - the named type of the XSD document
  Returns:
    The XSD document defining the type
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla

### retrieveGlobalNodeSla

    public String retrieveGlobalNodeSla()

  Retrieve global node Service Level Agreement.

  Returns:
    The global node SLA.

### retrieveGlobalSlaByType

    public String retrieveGlobalSlaByType(String slaType)
                                   throws InputManagementException

  Retrieve a system level or custom Service Level Agreement for a global scope The following system level SLA types are valid for global scope: global_node - Global node SLA stored and enforced only on the local site. subscr - Subscriber SLA stored and enforced only on the local site.

  Parameters:
    `slaType` - a system level global sla type ("global_node" or "subscr") or an sla type defined by setupCustomSlaXSDDefinition
  Returns:
    The custom Service Level Agreement
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### retrieveServiceProviderGroupNodeSla

    public String retrieveServiceProviderGroupNodeSla(String serviceProviderGroupIdentifier)

  Retrieve service provider group node Service Level Agreement.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group identifier.
  Returns:
    The group node Service Level Agreement.

### retrieveServiceProviderGroupSla

    public String retrieveServiceProviderGroupSla(String serviceProviderGroupIdentifier)

  Retrieve service provider group Service Level Agreement.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group identifier.
  Returns:
    The service provider group Service Level Agreement.

### retrieveServiceProviderGroupSlaByType

    public String retrieveServiceProviderGroupSlaByType(String slaType,
                                                        String serviceProviderGroupIdentifier)
                                                 throws InputManagementException

  Retrieve a system level or custom Service Level Agreement for a given service provider group The following system level SLA types are valid for service provider groups: service_provider - Service provider group SLA stored and enforced only on the local site. service_provider_node - Service provider node SLA stored and enforced only on the local site. system:geo_service_provider - Service provider group SLA replicated and enforced on all domains in a geo-redundant configuration.

  Parameters:
    `slaType` - a system level service provider group sla type ("service_provider", "service_provider_node" or "system:geo_service_provider") or an sla type defined by setupCustomSlaXSDDefinition
    `serviceProviderGroupIdentifier` - The service provider group identifier.
  Returns:
    The custom Service Level Agreement
  Throws:
    `InputManagementException` - if slaType is null or not applicable

### retrieveSubscriberSla

    public String retrieveSubscriberSla()

  Retrieve subscriber Service Level Agreement.

  Returns:
    The subscriber Service Level Agreement.

### setupCustomSlaXSDDefinition

    public void setupCustomSlaXSDDefinition(String slaType,
                                            String xsdDocument)
                                     throws ManagementException,
                                            InputManagementException

  Set up an XSD document defined as a custom Service Level Agreement type

  Parameters:
    `slaType` - the named type of the XSD document
    `xsdDocument` - the XSD document that describes the custom type
  Throws:
    `ManagementException` - validation of XSD failed.
    `InputManagementException` - if slaType has the same name than a a system sla

### setupCustomSlaXSDDefinitionFromUrl

    public void setupCustomSlaXSDDefinitionFromUrl(String slaType,
                                                   String xsdDocumentURL)
                                            throws ManagementException,
                                                   InputManagementException

  Similar to setupCustomSlaXSDDefinition but load the XSD from a URL

  Parameters:
    `slaType` - the named type of the XSD document
    `xsdDocumentURL` - the URL of the XSD document that describes the custom type
  Throws:
    `ManagementException` - validation of XSD failed.
    `InputManagementException` - if slaType has the same name than a a system sla

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD